Subject: bug#17171: crash in ns_read_socket

From: "Jan D." <[email-masked]>
Date: Mon, 05 Jan 2015 07:07:32 +0100

Greg Smolyn skrev den 2015-01-05 06:36:
> Ok, I am making it crash every time in emacs 24.4.

Everytime you do what?  Please describe a case starting from emacs -Q.

	Jan D.

>
> Here's a stacktrace:
>
> #0  0x00007fff91d43c7e in __kill () from
> /usr/lib/system/libsystem_kernel.dylib
> #1  0x00000001000b84f4 in terminate_due_to_signal (sig=6,
> backtrace_limit=<optimized out>) at emacs.c:378
> #2  0x00000001000d5863 in emacs_abort () at sysdep.c:2131
> #3  0x00000001001a961c in ns_term_shutdown (sig=<optimized out>) at
> nsterm.m:4451
> #4  0x00000001000b86eb in shut_down_emacs (sig=32, stuff=<optimized
> out>) at emacs.c:2050
> #5  0x00000001000b84b9 in terminate_due_to_signal (sig=6,
> backtrace_limit=40) at emacs.c:362
> #6  0x00000001000d5863 in emacs_abort () at sysdep.c:2131
> #7  0x00000001001b4d5d in ns_read_socket (terminal=0x1786d,
> hold_quit=<optimized out>) at nsterm.m:3638
> #8  0x00000001000bf3af in gobble_input () at keyboard.c:6850
> #9  0x00000001000c5905 in handle_async_input () at keyboard.c:7090
> #10 process_pending_signals () at keyboard.c:7104
> #11 unblock_input_to (level=<optimized out>) at keyboard.c:7119
> #12 unblock_input () at keyboard.c:7138
> #13 0x00000001001b57ca in ns_set_vertical_scroll_bar (window=<optimized
> out>, portion=<optimized out>, whole=<optimized out>,
>      position=<optimized out>) at nsterm.m:3902
> #14 0x000000010004cf50 in redisplay_window (window=<optimized out>,
> just_this_one_p=<optimized out>) at xdisp.c:16912
> #15 0x0000000100047fa9 in redisplay_window_1 (window=96365) at xdisp.c:14356
> #16 0x0000000100138114 in internal_condition_case_1 (bfun=0x28, arg=32,
> handlers=<optimized out>, hfun=<optimized out>) at eval.c:1372
> #17 0x00000001000267e3 in redisplay_internal () at xdisp.c:14002
> #18 0x0000000100027200 in redisplay_preserve_echo_area
> (from_where=96365) at xdisp.c:14185
> #19 0x000000010017a959 in wait_reading_process_output
> (time_limit=<optimized out>, nsecs=<optimized out>, read_kbd=-1,
> do_display=true,
>      wait_for_cell=4320145466, wait_proc=0x0, just_wait_proc=<optimized
> out>) at process.c:4704
> #20 0x0000000100007d84 in sit_for (timeout=<optimized out>, reading=40,
> display_option=<optimized out>) at dispnew.c:5861
> #21 0x00000001000c0dfd in read_char (commandflag=1, map=4745847046,
> prev_event=4320145466, used_mouse_menu=0x7fff5fbfc01f, end_time=0x0)
> ---Type <return> to continue, or q <return> to quit---
>      at keyboard.c:2809
> #22 0x00000001000bd833 in read_key_sequence (bufsize=30,
> keybuf=<optimized out>, prompt=<optimized out>,
> dont_downcase_last=<optimized out>,
>      can_return_switch_frame=<optimized out>,
> fix_current_buffer=<optimized out>, prevent_redisplay=<optimized out>)
> at keyboard.c:9088
> #23 0x00000001000bcec4 in command_loop_1 () at keyboard.c:1452
> #24 0x0000000100137ffb in internal_condition_case (bfun=0x28,
> handlers=<optimized out>, hfun=<optimized out>) at eval.c:1348
> #25 0x00000001000cd22e in command_loop_2 (ignore=<optimized out>) at
> keyboard.c:1177
> #26 0x0000000100137993 in internal_catch (tag=<optimized out>,
> func=0x20, arg=40) at eval.c:1112
> #27 0x00000001000bb082 in command_loop () at keyboard.c:1148
> #28 recursive_edit_1 () at keyboard.c:777
> #29 0x00000001000ea27f in read_minibuf (map=<optimized out>,
> initial=4320145466, prompt=<optimized out>, expflag=false,
>      histvar=<optimized out>, histpos=<optimized out>, defalt=<optimized
> out>, allow_props=<optimized out>, inherit_input_method=<optimized out>)
>      at minibuf.c:674
> #30 0x00000001000e9a7a in Fread_from_minibuffer (prompt=4722651153,
> initial_contents=6, keymap=<optimized out>, read=40, hist=<optimized out>,
>      default_value=4320145466, inherit_input_method=5) at minibuf.c:957
> #31 0x000000010013999f in Ffuncall (nargs=<optimized out>,
> args=<optimized out>) at eval.c:2838
> #32 0x0000000100171f6b in exec_byte_code (bytestr=<optimized out>,
> vector=4347356341, maxdepth=<optimized out>, args_template=<optimized out>,
>      nargs=<optimized out>, args=<optimized out>) at bytecode.c:916
> #33 0x0000000100139699 in Ffuncall (nargs=<optimized out>,
> args=<optimized out>) at eval.c:2861
> #34 0x0000000100171f6b in exec_byte_code (bytestr=<optimized out>,
> vector=4739000069, maxdepth=<optimized out>, args_template=<optimized out>,
>      nargs=<optimized out>, args=<optimized out>) at bytecode.c:916
> #35 0x0000000100139699 in Ffuncall (nargs=<optimized out>,
> args=<optimized out>) at eval.c:2861
> #36 0x0000000100135f04 in eval_sub (form=<optimized out>) at eval.c:2155
> #37 0x0000000100137d7a in internal_lisp_condition_case (var=4347420722,
> bodyform=4402638582, handlers=<optimized out>) at eval.c:1317
> #38 0x0000000100172df5 in exec_byte_code (bytestr=<optimized out>,
> vector=4738996165, maxdepth=<optimized out>, args_template=<optimized out>,
>      nargs=<optimized out>, args=<optimized out>) at bytecode.c:1162
> #39 0x0000000100139699 in Ffuncall (nargs=<optimized out>,
> args=<optimized out>) at eval.c:2861
> #40 0x0000000100135f04 in eval_sub (form=<optimized out>) at eval.c:2155
> #41 0x0000000100137993 in internal_catch (tag=<optimized out>,
> func=0x20, arg=40) at eval.c:1112
> #42 0x0000000100172bb2 in exec_byte_code (bytestr=<optimized out>,
> vector=4347335461, maxdepth=<optimized out>, args_template=<optimized out>,
>      nargs=<optimized out>, args=<optimized out>) at bytecode.c:1097
> #43 0x0000000100139699 in Ffuncall (nargs=<optimized out>,
> args=<optimized out>) at eval.c:2861
> #44 0x000000010013929d in Fapply (nargs=<optimized out>, args=<optimized
> out>) at eval.c:2351
> #45 0x0000000100139740 in Ffuncall (nargs=<optimized out>,
> args=<optimized out>) at eval.c:2793
> #46 0x0000000100171f6b in exec_byte_code (bytestr=<optimized out>,
> vector=4347334021, maxdepth=<optimized out>, args_template=<optimized out>,
>      nargs=<optimized out>, args=<optimized out>) at bytecode.c:916
> #47 0x0000000100139699 in Ffuncall (nargs=<optimized out>,
> args=<optimized out>) at eval.c:2861
> #48 0x000000010013929d in Fapply (nargs=<optimized out>, args=<optimized
> out>) at eval.c:2351
> #49 0x0000000100139740 in Ffuncall (nargs=<optimized out>,
> args=<optimized out>) at eval.c:2793
> #50 0x0000000100171f6b in exec_byte_code (bytestr=<optimized out>,
> vector=4347334021, maxdepth=<optimized out>, args_template=<optimized out>,
>      nargs=<optimized out>, args=<optimized out>) at bytecode.c:916
> #51 0x0000000100139699 in Ffuncall (nargs=<optimized out>,
> args=<optimized out>) at eval.c:2861
> #52 0x0000000100171f6b in exec_byte_code (bytestr=<optimized out>,
> vector=4745497813, maxdepth=<optimized out>, args_template=<optimized out>,
>      nargs=<optimized out>, args=<optimized out>) at bytecode.c:916
> #53 0x000000010013a42f in funcall_lambda (fun=<optimized out>,
> nargs=<optimized out>, arg_vector=<optimized out>) at eval.c:3045
> #54 0x0000000100139699 in Ffuncall (nargs=<optimized out>,
> args=<optimized out>) at eval.c:2861
> #55 0x0000000100171f6b in exec_byte_code (bytestr=<optimized out>,
> vector=4348836501, maxdepth=<optimized out>, args_template=<optimized out>,
>      nargs=<optimized out>, args=<optimized out>) at bytecode.c:916
> #56 0x0000000100138ff0 in apply_lambda (fun=4348836549, args=<optimized
> out>, count=<optimized out>) at eval.c:2920
>
>
> < ... more chopped out ... >
>
> and I tried an xbacktrace:
>
> "redisplay_internal (C function)" (0x53dbf0)
> "read-from-minibuffer" (0x5fbfc568)
> "helm-read-pattern-maybe" (0x5fbfc6a8)
> 0x1a776850 PVEC_COMPILED
> "funcall" (0x5fbfc7d0)
> 0x1a775928 PVEC_COMPILED
> "funcall" (0x5fbfcac0)
> "helm-internal" (0x5fbfcd98)
> "apply" (0x5fbfcec0)
> "helm" (0x5fbfcff8)
> "apply" (0x5fbfd120)
> "helm" (0x5fbfd260)
> "helm-projectile-find-file" (0x5fbfd428)
> "projectile-switch-project-by-name" (0x5fbfd4c0)
> "let" (0x5fbfd6c0)
> 0x1a825eb0 Lisp type 6
> "apply" (0x5fbfd948)
> "helm-funcall-with-source" (0x5fbfda80)
> "helm-execute-selection-action-1" (0x5fbfdbb0)
> "helm-execute-selection-action" (0x5fbfdcc0)
> 0x1a66a3b0 PVEC_COMPILED
> "funcall" (0x5fbfddf0)
> 0x1a66a338 PVEC_COMPILED
> "funcall" (0x5fbfe0e0)
> "helm-internal" (0x5fbfe3b8)
> "apply" (0x5fbfe4e0)
> "helm" (0x5fbfe618)
> "apply" (0x5fbfe740)
> "helm" (0x5fbfe880)
> "helm-projectile-switch-project" (0x5fbfea48)
> 0x534268 PVEC_SUBR
> "ad-Advice-call-interactively" (0x5fbfed78)
> "apply" (0x5fbfee78)
> "call-interactively" (0x5fbfefc0)
> "command-execute" (0x5fbff0e8)
>
>